package com.zjrs.ggfw.portal.dto;

import io.swagger.annotations.ApiModelProperty;
import com.zjrs.ggfw.portal.dto.common.PageDTO;

import jakarta.validation.constraints.NotBlank;

public class ZcfgQueryDTO extends PageDTO implements java.io.Serializable {

    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty(value = "消息类型")
    private String xxlx;
    
    @ApiModelProperty(value = "发布渠道")
    @NotBlank(message = "发布渠道不能为空")
    private String fbqd;
    
    @ApiModelProperty(value = "标题")
    private String bt;
    
    @ApiModelProperty(value = "业务主题")
    private String ywzt;

	public String getXxlx() {
		return xxlx;
	}

	public void setXxlx(String xxlx) {
		this.xxlx = xxlx;
	}

	public String getFbqd() {
		return fbqd;
	}

	public void setFbqd(String fbqd) {
		this.fbqd = fbqd;
	}

	public String getBt() {
		return bt;
	}

	public void setBt(String bt) {
		this.bt = bt;
	}

	public String getYwzt() {
		return ywzt;
	}

	public void setYwzt(String ywzt) {
		this.ywzt = ywzt;
	}
}
